Linux服务器可以进百度,但是进阿里云或者别的一些网站提示‘错误代码:NS_ERROR_NET_INADEQUATE_SECURITY’的问题

发布日期:2019-05-29

昨天遇到一个头疼的事情,在阿里云买了一台服务器;

然后环境各种都装了,因为本人是小白,所以一般都装MATE界面;

一开始环境没配好,访问百度可以进去,进万网但是进不去,先也没急着搞这个事情,第一天晚上下班很晚了,就先装了可视化界面不管了。

第二天早上,还是打不开,很头疼。虽然不影响我装环境之类的,但是本人有纠结症,就是喜欢研究无厘头的东西。

先给阿里云客服打电话,转接人工好久一会,然后有大神接了,我给反应了这个情况。

大神说我的服务器没有问题,最后让我提交工单,早上10点多就提交了,一直等……等到下午3点,工单反馈过来说,那边检测了一下,一些都正常,让我换个浏览器试试。

噢,我就想着换就换吧。可是该死的火狐浏览器,我想换个谷歌浏览器,然后百度搜索到了Chrome桌面版(也就是linux版)。刚准备点进去下载,又给我提示‘NS_ERROR_NET_INADEQUATE_SECURITY’这个错误代码,我就日了狗了,有的网站可以进,有的就进不去,只好心里凉凉。然后就在上班,下班后也在想这个问题怎么解决。然后又一阵查找,终于找到一个相关的类似问题。点进去看了下,和我的问题大概相似,然后就解决了,嘻嘻……心里十万只草泥马在奔腾,并不是别的原因,是因为火狐浏览器更新的内核还是什么原因,行了,说了半天废话,进入正题:

 

本人买的是阿里云Linux服务器,centos7.4版本,也就是最高版本。

可能有些小伙伴装了MATE界面,进百度是这个界面:

然后想着去万网,或者别的网站,进去看看,然后没想到提示了这个页面:

 

MMP,脑壳疼……

 

各大网站都提示(火狐浏览器翻译过来是这个意思):您的连接不安全该网站尝试协商的安全级别不足。xxx.xxx.com使用了过时的安全技术,较容易遭受攻击。攻击者可以轻易窃取您的信息。该网站的管理员修正服务器后您才能访问该网站。错误代码:NS_ERROR_NET_INADEQUATE_SECURITY

 

在这里说明一下原因(问题不可怕,可怕的是不知道原因!!!):

 

这与新的internet协议http2有关,大多数人使用1.1倍的时间来禁用这个暂时的(可能存在安全问题)

这样做:

(1)在一个新标签页中,键入或粘贴:地址栏中的配置和按回车键/回车。点击这个按钮,承诺要小心。

(2)在列表上方的搜索框中,在列表被过滤的时候输入或粘贴spd和暂停

(3)双击network.http.spdy.enabled。http2倾向于将值从true改为false

 

解决方法:

 

一张图足矣,哈哈~不然又有人像我一样,network里找好久都找不到了,直接搜索就行了。

  

 

 

解决之后还是这个提示,不想说话,能进去就行(百度给了你多少钱,我阿里给双倍!)。